Skip to main content
Skip to main content
You're viewing the documentation for v1, which isn't the latest Medusa version.Latest documentation

AdminNotesResource

This class is used to send requests to Admin Note API Routes. All its method are available in the JS Client under the medusa.admin.notes property.

All methods in this class require user authentication.

Notes are created by admins and can be associated with any resource. For example, an admin can add a note to an order for additional details or remarks.

Methods​

create​

Create a Note which can be associated with any resource.

Example​

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.create({
resource_id,
resource_type: "order",
value: "We delivered this order"
})
.then(({ note }) => {
console.log(note.id);
})

Parameters​

payloadAdminPostNotesReqRequired
The note to be created.
customHeadersRecord<string, any>Required
Custom headers to attach to the request.

Default: {}

Returns​

ResponsePromiseResponsePromise<AdminNotesRes>Required
Resolves to the note's details.

update​

Update a Note's details.

Example​

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.update(noteId, {
value: "We delivered this order"
})
.then(({ note }) => {
console.log(note.id);
})

Parameters​

idstringRequired
The note's ID.
payloadAdminPostNotesNoteReqRequired
The attributes to update in the note.
customHeadersRecord<string, any>Required
Custom headers to attach to the request.

Default: {}

Returns​

ResponsePromiseResponsePromise<AdminNotesRes>Required
Resolves to the note's details.

delete​

Delete a Note.

Example​

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.delete(noteId)
.then(({ id, object, deleted }) => {
console.log(id);
})

Parameters​

idstringRequired
The note's ID.
customHeadersRecord<string, any>Required
Custom headers to attach to the request.

Default: {}

Returns​

ResponsePromiseResponsePromise<DeleteResponse>Required
Resolves to the deletion operation's details.

retrieve​

Retrieve a note's details.

Example​

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.retrieve(noteId)
.then(({ note }) => {
console.log(note.id);
})

Parameters​

idstringRequired
The note's ID.
customHeadersRecord<string, any>Required
Custom headers to attach to the request.

Default: {}

Returns​

ResponsePromiseResponsePromise<AdminNotesRes>Required
Resolves to the note's details.

list​

Retrieve a list of notes. The notes can be filtered by fields such as resource_id passed in the query parameter. The notes can also be paginated.

Example​

To list notes:

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.list()
.then(({ notes, limit, offset, count }) => {
console.log(notes.length);
})

By default, only the first 50 records are retrieved. You can control pagination by specifying the limit and offset properties:

import Medusa from "@medusajs/medusa-js"
const medusa = new Medusa({ baseUrl: MEDUSA_BACKEND_URL, maxRetries: 3 })
// must be previously logged in or use api token
medusa.admin.notes.list({
limit,
offset
})
.then(({ notes, limit, offset, count }) => {
console.log(notes.length);
})

Parameters​

customHeadersRecord<string, any>Required
Custom headers to attach to the request.

Default: {}

Filters and pagination configurations applied on retrieved notes.

Returns​

ResponsePromiseResponsePromise<AdminNotesListRes>Required
Resolves to the list of notes with pagination fields.
Was this section helpful?